Skip to content

Create a Webhook

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

You need to specify the Webhook name, Webhook callback address, request data format, and user real name to create a Webhook. You can also choose whether to enable and request a key to create it

Method name

ManagementClient.create_webhook

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
contentTypestringYes-Request data formatapplication/json
eventsstring[]Yes-User's real name, not unique. Example value: Zhang San["user:created"]
urlstringyes-Webhook callback addresshttps://example.com/callback
namestringyes-Webhook nameUser creation event
enabledbooleanno-Enabledtrue
secretstringno-Request keyxxxxxxxxxxxx

Request response

Type: CreateWebhookRespDto

nametypedescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a WebhookDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "webhookId": "6229ffaxxxxxxxxcade3e3d9",
    "createdAt": "2022-07-03T02:20:30.000Z",
    "updatedAt": "2022-07-03T02:20:30.000Z",
    "name": "User creation event",
    "url": "https://example.com/callback",
    "contentType": "application/json",
    "enabled": true,
    "events": "[\"user:created\"]",
    "secret": "xxxxxxxxxxxx"
  }
}

Data structure

WebhookDto

NameTypeIs it required?DescriptionSample value
webhookIdstringYesWebhook ID6229ffaxxxxxxxxcade3e3d9
createdAtstringYesCreation time2022-07-03T02:20:30.000Z
updatedAtstringYesUpdate time2022-07-03T02:20:30.000Z
namestringyesWebhook nameUser created event
urlstringyesWebhook callback addresshttps://example.com/callback
contentTypestringyesRequest data formatapplication/json
enabledbooleanyesEnabled or nottrue
eventsarraynoUser's real name, not unique. Example value: Zhang San["user:created"]
secretstringnoRequest keyxxxxxxxxxxxx

Agent infrastructure for identity, memory, and web action.